<?php require_once('Connections/cn.php'); ?>
<?php
 session_start();
	$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
	mysql_select_db($database_cn, $cn);
    mysql_query ("SET NAMES 'utf8'");	
	if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	
	// Para tomar los datos del alumno
	$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos WHERE cedula='$cedula_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$id_alumno= $row['id_alumno'];
	$cedula= $row['cedula'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	
	//Selecciona solo las carreras y sedes donde se inscribi? el alumno.
	//***
	$query_carreras = "SELECT carreras_alumno.cod_carrera as id_carrera, carreras.nombre_carrera FROM carreras,carreras_alumno WHERE carreras_alumno.id_alumno='$id_alumno' and carreras_alumno.cod_carrera=carreras.id_carrera ORDER BY carreras.nombre_carrera ASC";
$rst_carreras = mysql_query($query_carreras, $cn) or die(mysql_error());
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
    $array_areas = array();
	$array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
	
	$query_rssedes = "SELECT DISTINCT carreras_alumno.sede as codigo,sedes.nombre_sede FROM sedes,carreras_alumno where carreras_alumno.id_alumno='$id_alumno' and carreras_alumno.sede=sedes.codigo ORDER BY sedes.nombre_sede ASC";
	$rssedes = mysql_query($query_rssedes, $cn) or die(mysql_error());
	$row_rssedes = mysql_fetch_assoc($rssedes);
	$totalRows_rssedes = mysql_num_rows($rssedes);
    
	// Datos de los periodos abiertos.	
	$query_rsperiodos = "SELECT id_periodo, codigo FROM periodos WHERE status='ABIERTO'";
	$rsperiodos = mysql_query($query_rsperiodos, $cn) or die(mysql_error());
	$row_rsperiodos = mysql_fetch_assoc($rsperiodos);
	$totalRows_rsperiodos = mysql_num_rows($rsperiodos);

	


  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- retiro de materias</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_materias_inscritas.php",{ id:$(this).val() },function(data){$("#materia").html(data);})
	});
})
</script>
<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Retiro de Unidad Curricular</h2></td></tr></table>
<form name="form1" method="post"  onSubmit="return validar_datos()">
  <table width="40%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    <tr>
      <td width="59"><div align="right">Programa:</div></td>
      <td colspan="3"><label>
        <select name="id_carrera" id="id_carrera" style="width:580px">
			<option selected value="0">Seleccione...</option>
			<?php
			for($i=0;$i<count($array_areas);$i++) {
			  echo "<option value=".$array_carreras[$i].">".$array_areas[$i].'-'.$array_carreras[$i]."</option>" ;
			}
			?>
</select>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Unidad Curricular:</div></td>
      <td width="110"><label>
        <div align="left">
          <select name="materia" id="materia" style="width:580px">
			<option selected value="0">Seleccione...</option>
		  </select>
        </div>
      </label></td>
    </tr>
    <tr>
      <td height="34" colspan="4"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Retirar Materia" onClick="inscripciones()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
		if(document.form1.periodo.value==0){
			alert("El campo <<Periodo>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
		if(document.form1.id_carrera.value==""){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.carrera.focus();
			return false;
			}
			return true;
	}
	
</script>
 <?php


mysql_free_result($rssedes);

mysql_free_result($rsperiodos);

mysql_free_result($rst_carreras);
?>

<script type="text/javascript">
 function inscripciones()
 {
     if(document.form1.id_carrera.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
		if(document.form1.materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.form1.materia.focus();
			return false;
			}
	 window.document.location="retirar_materia2.php?id_materia="+document.form1.materia.value+"&id_carrera="+document.form1.id_carrera.value;
 }
</script>
